#include <bits/stdc++.h>
using namespace std;
long long a[100005];
long long dnt(long long n)
{  int x=0,i;
for (i=1;i<=n;i++)
{ if  (n%i==0&&a[i]<2)
    x++;
	a[i]++;}
for (i=1;i<=n;i++)
{a[i]=0;
}
	return x; }    

int main()
{ ifstream f1("CAU1_17.INP");
  ofstream f2("CAU1_17.OUT");
  long long n,k,j,dem=0,i;
  f1>>n;
  f1>>k;
  for (j=1;j<=n;j++)
  { if (dnt(j)==k)
     dem++;}
f2<<dem;
   return 0;
}
